"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const client_1 = require("../src/client");
const constants_1 = require("../src/constants");
const { MB_CLUSTER_URL } = process.env;
async function withdrawFeesToAdmin() {
    const client = await client_1.MangoClient.connectDefault(MB_CLUSTER_URL);
    const group = await client.getGroup(constants_1.MANGO_V4_MAIN_GROUP);
    Array.from(group.banksMapByTokenIndex.values())
        .map((banks) => banks[0])
        .sort((a, b) => a.name.localeCompare(b.name))
        .forEach(async (bank) => {
        if (bank.reduceOnly == 1 || bank.uiDeposits() == 0) {
            return;
        }
        console.log(`${bank.name.padStart(20)},  ${(bank.collateralFeePerDay *
            365 *
            100).toFixed(2)}, ${(1 / (1 - bank.initAssetWeight.toNumber())).toFixed(2)}, ${(1 / (1 - bank.maintAssetWeight.toNumber())).toFixed(2)} `);
    });
}
async function main() {
    try {
        await withdrawFeesToAdmin();
    }
    catch (error) {
        console.log(error);
    }
}
try {
    main();
}
catch (error) {
    console.log(error);
}
